package com.zkjc.common.base;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.DialogFragment;

import com.xdja.watermarklibrary.WaterMarkUtils;

public abstract class ZkjcDialogFragment extends DialogFragment {
    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {

        return super.onCreateView(inflater, container, savedInstanceState);

    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
      /*  SharedPreferences sharedPreferences = getActivity().getSharedPreferences("sys", Context.MODE_PRIVATE);
        String prefix = "";
        if(TextUtils.isEmpty(sharedPreferences.getString("jh", "0000")))
            prefix = sharedPreferences.getString("cardNo", "") + sharedPreferences.getString("name", "");
        else
            prefix = sharedPreferences.getString("jh", "") + sharedPreferences.getString("name", "");
        String waterMark = "　　" + prefix;
        WaterMarkUtils.addWaterMark(getActivity(), waterMark, 350);*/
    }
}
